Host Assignable Hardware Manager Get Binding

Host Assignable Hardware Manager Get Binding
Assignable Hardware bindings

Assignable Hardware bindings

Required privileges: System.Read

Request
URI
GET
https://{vcenter-host}/sdk/vim25/{release}/HostAssignableHardwareManager/{moId}/binding
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the property attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostAssignableHardwareManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

[
    {
        "_typeName": "string",
        "instanceId": "string",
        "vm": {
            "_typeName": "string",
            "type": "string",
            "value": "string"
        },
        "pciId": "string",
        "deviceKey": 0
    }
]
array of object
Optional

Data object indicating a device instance has been allocated to a VM.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/sdk/vim25/{release}/HostAssignableHardwareManager/{moId}/binding